<div class="post-image">
    	<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
		<?php 
            $image_thumb = wpcleangreen_catch_that_image_thumb();
    		$first_image_gallery_thumb = wpcleangreen_catch_gallery_image_thumb();

            if ( has_post_format('image') && !empty($image_thumb)): echo $image_thumb;  ?> 
    		<span class="fa fa-picture-o"></span> 
    	
        <?php elseif ( has_post_format('gallery') && isset($first_image_gallery_thumb)): echo $first_image_gallery_thumb; ?>
    		<span class="fa fa-file-image-o"></span> 
    	
        <?php elseif (has_post_format('audio') && has_post_thumbnail()): the_post_thumbnail('thumbnail'); ?>
    		<span class="fa fa-music"></span>
    	
        <?php elseif (has_post_format('aside') && has_post_thumbnail()): the_post_thumbnail('thumbnail'); ?>
    		<span class="fa fa-pencil-square"></span>
    	
        <?php elseif (has_post_format('chat') && has_post_thumbnail()): the_post_thumbnail('thumbnail'); ?>
    		<span class="fa fa-weixin"></span>
    	
        <?php elseif (has_post_format('link') && has_post_thumbnail()): the_post_thumbnail('thumbnail'); ?>
    		<span class="fa fa-link"></span>
    	
        <?php elseif (has_post_format('quote') && has_post_thumbnail()): the_post_thumbnail('thumbnail'); ?>
    		<span class="fa fa-quote-left"></span>
    	
        <?php elseif (has_post_format('status') && has_post_thumbnail()): the_post_thumbnail('thumbnail'); ?>
    		<span class="fa fa-file-text-o"></span>
    	
        <?php elseif (has_post_format('video') && has_post_thumbnail()): the_post_thumbnail('thumbnail'); ?>
    		<span class="fa fa-play"></span>
    	
        <?php elseif (has_post_thumbnail()): the_post_thumbnail('thumbnail'); ?>
        
        <?php else: ?> 

            <img src="<?php echo wpcleangreen_IMAGES; ?>/blank.jpg" alt="blank"> 
       
        <?php endif; ?>
    	</a>
</div>
<div class="post-content">
    <?php printf( __( '<span class="time">%2$s</span>', 'wp-clean-green' ), get_the_time('m-d-Y'), get_the_time(get_option('date_format'))); ?>
    <h1><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h1>
    
    <?php if (has_post_format('quote') && class_exists('acf')) :  ?>
        <p class="quote-content"><?php echo get_field('wpdevshed_post_format_quote_content'); ?></p>
        <p class="quote-source">-<?php echo get_field('wpdevshed_post_format_quote_source'); ?></p>
    
    <?php else: ?>
	   <p><?php echo wpcleangreen_excerpt(25); ?></p> 
    
    <?php endif; ?>
</div>
<div class="clear"></div>